Get the session cookie parameters

- « session_gc

- session_id »

- PHP Manual
- Session Functions
- Get the session cookie parameters

# session_get_cookie_params

(PHP 4, PHP 5, PHP 7, PHP 8)

session_get_cookie_params — Get the session cookie parameters

### Description

session_get_cookie_params(): array

Gets the session cookie parameters.

### Parameters

This function has no parameters.

### Return Values

Returns an array with the current session cookie information, the array contains the following items:

- "lifetime" - The lifetime of the cookie in seconds.
- "path" - The path where information is stored.
- "domain" - The domain of the cookie.
- "secure" - The cookie should only be sent over secure connections.
- "httponly" - The cookie can only be accessed through the HTTP protocol.
- "samesite" - Controls the cross-domain sending of the cookie.

### Changelog

Version | Description
--- | ---
7.3.0 | The "samesite" entry was added in the returned array.

### See Also

- session.cookie_lifetime
- session.cookie_path
- session.cookie_domain
- session.cookie_secure
- session.cookie_httponly
- session.cookie_samesite
- session_set_cookie_params() - Set the session cookie parameters